> ## Documentation Index
> Fetch the complete documentation index at: https://docs.radinai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete v2generationdelete

> حذف یک تولید محتوا



## OpenAPI

````yaml /api-1(12).json delete /v2/generation/delete
openapi: 3.0.3
info:
  title: رادین API اسناد
  description: >
    ### 📚 انتخاب کتابخانه




    از این لیست می‌توانید کتابخانه مورد استفاده خود را انتخاب کنید تا اسناد
    مربوطه ایجاد شوند.




    ---




    ### 🔑 احراز هویت (اختیاری)




    می‌توانید کلید خود را برای احراز هویت وارد کنید.




    > کلید در هدر 

    >`x-api-key`

    > قرار می‌گیرد.



    ---


    ## برای ارسال درخواست ها، از دامنه مد نظر استفاده کنید


    دامنه سرور داخلی:

    https://api.radinai.com


    دامنه سرور خارجی:

    https://api2.radinai.com


    نمونه لینک نهایی API endpoint:

    https://api.radinai.com/generate/create-video


    پلی گراند سرور خارجی:

    https://api2.radinai.com/docs
  version: '1.0'
  contact:
    name: پشتیبانی
    url: https://radinai.com/support
servers:
  - url: https://api2.radinai.com
    description: رادین API خارجی
    variables:
      basePath:
        default: /v2
        description: پسوند سرویس ها
security:
  - ApiKeyAuth: []
tags:
  - name: Content Generation
    description: ایجاد و مدیریت درخواست های تولید محتوا
  - name: مدیریت فایل ها
    description: آپلود، دانلود، حذف فایل ها و لیست کردن فایل ها
externalDocs:
  url: https://radinai.com/api-dashboard
  description: رادین API داشبورد
paths:
  /v2/generation/delete:
    delete:
      tags:
        - Content Generation
      description: حذف یک تولید محتوا
      operationId: delete-generation
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                deleteFields:
                  type: array
                  items:
                    type: string
                    enum:
                      - inputFiles
                      - prompt
                  description: مواردی که میخواهید علاوه بر محتوای خروجی حذف شوند
                  example:
                    - prompt
                genId:
                  type: string
                  example: <generation-id>
              required:
                - deleteFields
                - genId
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '400':
          description: Response for status 400
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '401':
          description: Response for status 401
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '403':
          description: Response for status 403
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '500':
          description: Response for status 500
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: کلید خود را اینجا وارد کنید

````